<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>

<p id = "output"> "00:00:00" </p>

<input id="startButton" type="button" value="start" />
<input id="stopButton" type="button" value="stop" />
<input id="resetButton" type="button" value="reset" />




<script>

/*let counter = 0, intervalHandler;
const get = (id) => document.getElementById(id);

const count = () => {
    get("output").innerHTML = counter;
    counter++;
}

get("startButton").onclick = () => {
    intervalHandler = setInterval(count, 1);
}

get("stopButton").onclick = () => {
    clearInterval(intervalHandler);
}

get("resetButton").onclick = () => {
    get("output").innerHTML = "00:00:00";
    counter = 0;
    intervalHandler = null
}*/

// 1 hour = 3600000 ms
let Seconds= () => {

let secCounter = 0;
   setInterval(()=>{secCiunter++}, 1000);
return secCounter;
}



let stopWatch= () => {
    
}


};

let minCounter = 0, minHandler;

const get = (id) => document.getElementById(id);

const minCount = () => {
    get("output").innerHTML = minCounter;
    minCounter++;
}

get("startButton").onclick = () => {
    minHandler = setInterval(count, 60000);
}

get("stopButton").onclick = () => {
    clearInterval(minHandler);
}

get("resetButton").onclick = () => {
    get("output").innerHTML = "00:00:00";
    minCounter = 0;
    minHandler = null
}

let hourCounter = 0, hourHandler;

const get = (id) => document.getElementById(id);

const hourCount = () => {
    get("output").innerHTML = hourCounter;
    hourCounter++;
}

get("startButton").onclick = () => {
    hourHandler = setInterval(count, 3600000);
}

get("stopButton").onclick = () => {
    clearInterval(hourHandler);
}

get("resetButton").onclick = () => {
    get("output").innerHTML = "00:00:00";
    hourCounter = 0;
    hourHandler = null
}

</script>

    
</body>
</html>